# SdFat: MinimumSerial Class Reference

MinimumSerial Class Reference

mini serial class for the SdFat library. More...

`#include <MinimumSerial.h>`

Inheritance diagram for MinimumSerial:
[legend]
Collaboration diagram for MinimumSerial:
[legend]

## Public Member Functions

void | begin (uint32_t baud)
int | read ()
size_t | write (uint8_t b)

## Detailed Description

mini serial class for the SdFat library.

## Member Function Documentation

void MinimumSerial::begin | ( | uint32_t | baud | ) |

Set baud rate for serial port zero and enable in non interrupt mode. Do not call this function if you use another serial library.

Parameters

  [in] | baud | rate

int MinimumSerial::read | ( |  | ) |

Unbuffered read

Returns
  -1 if no character is available or an available character.

size_t MinimumSerial::write | ( | uint8_t | b | ) |

Unbuffered write

Parameters

  [in] | b | byte to write.

Returns
  1

The documentation for this class was generated from the following files:

- Arduino/libraries/SdFat/MinimumSerial.h
- Arduino/libraries/SdFat/MinimumSerial.cpp